<ion-header>
    <profilebar></profilebar>
  </ion-header>

<ion-content padding ng-show="!LoadingView" icon="spiral">
  <div class="sub-page-heading">
    <button tappable ion-button icon-left (click)="gotoHomePage()" class="back-btn flex-buffer"><div class="icon-backarrow"></div></button>
    <div class="title">Exercise Demonstrations</div>
    <div class="flex-buffer"></div>
  </div>
  <div class="demonstration-list">
    <section class="container">
      <input type="search" class="light-table-filter" data-table="order-table" placeholder="Search...">
      <table class="order-table table">
        <thead>
          <tr>
            <th>Video</th>
            <th>Email</th>
            <th>Blank</th>
            <th>Blank again</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of contents">
            <td>
              <video width="100%" controls preload="none" poster="{{ item.preview }}">
                <source [src]="item.videoSource">
              </video>
            </td>
            <td>{{ item.title }}</td>
            <td></td>
            <td></td>
          </tr>
        </tbody>
      </table>
    </section>
  </div><!-- demonstration-list -->

</ion-content>